#include <bits/stdc++.h>
using namespace std;
int n,q,niz[200005],a,b,br;
int main(){
    cin>>n;
    for(int i=1; i<=n; i++){
        cin>>niz[i];
    }
    cin>>q;
    for(int i=1; i<=q; i++){
            br=0;
        cin>>a>>b;
        for(int j=a+1; j<=b; j++){
            if(niz[j]<niz[j-1])br++;
            if(br>1){
                cout<<"NE"<<endl;
                break;
        }
    }
    if(br<=1){
     cout<<"DA"<<endl;}
    }
return 0;
}